import PropTypes from 'prop-types';
import { BASE_CLASS } from '../../config.js';
import LoginForm from '../Form/LoginForm.js';
import FaceRecognition from '../Info/FaceRecognition.js';
import Form from './Form.js';
import LoginInfo from './LoginInfo.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var Login = function Login(_ref) {
  var _ref$hasFaceRecogniti = _ref.hasFaceRecognition,
    hasFaceRecognition = _ref$hasFaceRecogniti === void 0 ? false : _ref$hasFaceRecogniti,
    icons = _ref.icons;
  return /*#__PURE__*/_jsxs("div", {
    className: BASE_CLASS + " no-padding",
    children: [/*#__PURE__*/_jsx("div", {
      className: BASE_CLASS + "-item",
      children: /*#__PURE__*/_jsx(LoginInfo, {})
    }), /*#__PURE__*/_jsx("div", {
      className: BASE_CLASS + "-item",
      children: /*#__PURE__*/_jsx(Form, {
        icons: icons,
        isLogin: true,
        children: /*#__PURE__*/_jsxs(_Fragment, {
          children: [/*#__PURE__*/_jsx(LoginForm, {
            icons: icons
          }), hasFaceRecognition && /*#__PURE__*/_jsx(FaceRecognition, {
            icons: icons
          })]
        })
      })
    })]
  });
};
Login.displayName = 'Login';
export default Login;