import useI18n from '../../hooks/useI18n.js';
import { BASE_CLASS } from '../../config.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var LoginInfo = function LoginInfo() {
  var i18n = useI18n();
  var title = i18n.t('LOGIN_CROSS.LOGIN.INTRO_TITLE');
  var text = i18n.t('LOGIN_CROSS.LOGIN.INTRO_TEXT');
  return /*#__PURE__*/_jsxs("div", {
    className: BASE_CLASS + "-stageInfo",
    children: [/*#__PURE__*/_jsx("h1", {
      className: BASE_CLASS + "-stageInfoTitle",
      children: title
    }), /*#__PURE__*/_jsx("p", {
      className: BASE_CLASS + "-stageInfoMessage",
      children: text
    })]
  });
};
LoginInfo.displayName = 'LoginInfo';
export default LoginInfo;